# sb::Content::Profile
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Content::Profile;
use vars qw( $VERSION );
$VERSION = '0.01';
# 0.01 [2007/08/12] renamed from '_main' to '_00main'
# 0.00 [2007/07/31] divided from sb::Content
# --------------------------------------
# // default callbacks
sub _init
{
	return (
		'_00main' => \&_main,
		'content' => \&_content,
	);
}
# --------------------------------------
# // define callbacks
sub _main
{
	my $cms  = shift;
	my %var  = @_;
	undef;
}
sub _content
{
	my $cms  = shift;
	my $user = shift;
	my %var  = @_;
	$cms->tag('profile_description'=>sb::Text->new($user->prof)->format(($user->form ne 'on')));
	$cms->tag('profile_name'=>$user->real);
	$cms->tag('site_parts'=>$var{'conf'}->value('conf_srv_base') . $var{'conf'}->value('dir_style'));
}
1;
__END__
