# sb::Data::Customdata
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Data::Customdata;
use strict;
use sb::Data::Object ();
use base qw( sb::Data::Object );
use vars qw( $VERSION );
$VERSION = '0.02';
# 0.02 [2007/08/11] modified table
# 0.01 [2007/08/04] added initializer
# 0.00 [2007/07/13] created
# --------------------------------------
# // defines / static variables
# ... nothing ...
# --------------------------------------
# // override base class - table
sub table
{
	my $self = shift;
	return (
		'id'    => 'uni_id',   # id
		'class' => 'str(255)', # class name of sb::Data::Object
		'owned' => 'id',       # correspond id
		'name'  => 'str(255)', # field name
		'value' => 'text',     # data value
	);
}
# --------------------------------------
# // initializer
BEGIN
{
	__PACKAGE__->init_accessor();
}
sub default
{ # default settings
	my $self  = shift;
	my %param = @_;
	$self->SUPER::initialize(%param);
}
# --------------------------------------
# // public functions
# --------------------------------------
# // private functions
1;
__END__
